Delete a folder

Deletes a folder. Use recursive=true to also delete child folders and archive their workspaces.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location --request DELETE 'https://app.eraser.io/api/folders/xK9mPq2vR' \
--header 'Authorization: Bearer $YOUR-TOKEN-HERE'

An example request with recursive to delete all children:

curl --location --request DELETE 'https://app.eraser.io/api/folders/xK9mPq2vR?recursive=true' \
--header 'Authorization: Bearer $YOUR-TOKEN-HERE'

Example response

{
  "success": true
}
Path Params
string
required
Query Params
string
enum
Defaults to false

Delete all child folders and archive their workspaces. Defaults to false.

Allowed:
Responses

400

Invalid folder ID

401

Missing or invalid bearer token

403

Unauthorized

404

Folder not found

500

Internal server error

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json